# Review: https://bugzilla.redhat.com/show_bug.cgi?id=499132

%global srcname alarm-clock-applet

Name:           gnome-applet-alarm-clock
Version:        0.3.0
Release:        1%{?dist}
Summary:        Alarm clock for the GNOME panel

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://alarm-clock.pseudoberries.com
Source0:        http://launchpad.net/alarm-clock/trunk/0.3.0/+download/%{srcname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  GConf2-devel
BuildRequires:  gnome-icon-theme
BuildRequires:  gstreamer-devel >= 0.10.2
BuildRequires:  libnotify-devel >= 0.4.1
BuildRequires:  unique-devel
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  gettext
Requires:       gnome-icon-theme
Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description
Alarm Clock is a fully-featured alarm clock for the GNOME panel. It's easy to 
use yet powerful with support for multiple repeatable alarms, as well as 
snoozing and a flexible notification system. 

%prep
%setup -qn %{srcname}-%{version}


%build
%configure --disable-schemas-install
make %{?_smp_mflags} V=1


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{srcname}.desktop
%find_lang %{srcname}


%clean
rm -rf $RPM_BUILD_ROOT


%pre
if [ "$1" -gt 1 ] ; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
  %{_sysconfdir}/gconf/schemas/alarm-clock.schemas >/dev/null || :
fi


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
%{_sysconfdir}/gconf/schemas/alarm-clock.schemas > /dev/null || :


%preun
if [ "$1" -eq 0 ] ; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
  %{_sysconfdir}/gconf/schemas/alarm-clock.schemas > /dev/null || :
fi


%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{srcname}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_sysconfdir}/gconf/schemas/alarm-clock.schemas
%{_bindir}/%{srcname}
%{_datadir}/%{srcname}/
%{_datadir}/applications/%{srcname}.desktop
%{_datadir}/icons/hicolor/*/apps/alarm-*.*


%changelog
* Sun Mar 21 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.0-1
- Update to 0.3.0

* Mon Nov 23 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.2.6-1
- Update to 0.2.6

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 05 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.2.5-1
- Initial Fedora package
